Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans.impl.soap
Class SOAPConnection

    java.lang.Object
      org.apache.xmlbeans.impl.soap.SOAPConnection

    public abstract class SOAPConnection

extends java.lang.Object

A point-to-point connection that a client can use for sending messages directly to a remote party (represented by a URL, for instance).

A client can obtain a `SOAPConnection` object simply by calling the following static method.

          SOAPConnection con = SOAPConnection.newInstance();

A `SOAPConnection` object can be used to send messages directly to a URL following the request/response paradigm. That is, messages are sent using the method `call`, which sends the message and then waits until it gets a reply.

Constructor Summary
`SOAPConnection()`

Method Summary
`abstract SOAPMessage` | `call(SOAPMessage request, java.lang.Object endpoint)` Sends the given message to the specified endpoint and blocks until it has returned the response.
`abstract void` | `close()` Closes this `SOAPConnection` object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SOAPConnection

    public SOAPConnection()

Method Detail

### call

    public abstract SOAPMessage call(SOAPMessage request,
                                     java.lang.Object endpoint)
                              throws SOAPException

  Sends the given message to the specified endpoint and blocks until it has returned the response.

  Parameters:
    `request` - the `SOAPMessage` object to be sent
    `endpoint` - an `Object` that identifies where the message should be sent. It is required to support Objects of type `java.lang.String`, `java.net.URL`, and when JAXM is present `javax.xml.messaging.URLEndpoint`
  Returns:
    the `SOAPMessage` object that is the response to the message that was sent
  Throws:
    `SOAPException` - if there is a SOAP error

### close

    public abstract void close()
                        throws SOAPException

  Closes this `SOAPConnection` object.

  Throws:
    `SOAPException` - if there is a SOAP error

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD